Bug 1478595 - SELinux is preventing qemu-system-x86 from 'open' accesses on the file /mnt/apps/Linux/dist/ubuntu-16.04.1-server-amd64.iso.
SELinux is preventing qemu-system-x86 from 'open' accesses on the file /mnt/a...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-08-04 18:22 EDT by Tarkan Tikis
Modified: 2017-12-12 05:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-12 05:18:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tarkan Tikis 2017-08-04 18:22:38 EDT
Description of problem:
SELinux is preventing qemu-system-x86 from 'open' accesses on the file /mnt/apps/Linux/dist/ubuntu-16.04.1-server-amd64.iso.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If vous souhaitez allow virt to use samba
Then vous devez en informer SELinux en activant le booléen « virt_use_samba ».

setsebool -P virt_use_samba 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If vous pensez que qemu-system-x86 devrait être autorisé à accéder open sur ubuntu-16.04.1-server-amd64.iso file par défaut.
Then vous devriez rapporter ceci en tant qu'anomalie.
Vous pouvez générer un module de stratégie local pour autoriser cet accès.
allow this access for now by executing:
# ausearch -c 'qemu-system-x86' --raw | audit2allow -M my-qemusystemx86
# semodule -X 300 -i my-qemusystemx86.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:svirt_t:s0:c16,c399
Target Context                system_u:object_r:cifs_t:s0
Target Objects                /mnt/apps/Linux/dist/ubuntu-16.04.1-server-
                              amd64.iso [ file ]
Source                        qemu-system-x86
Source Path                   qemu-system-x86
Port                          <Inconnu>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-225.19.fc25.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.11.12-200.fc25.x86_64 #1 SMP Fri
                              Jul 21 16:41:43 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-08-05 00:16:16 CEST
Last Seen                     2017-08-05 00:16:16 CEST
Local ID                      68266dc3-6090-40c5-8919-902dab214b5c

Raw Audit Messages
type=AVC msg=audit(1501884976.897:2887): avc:  denied  { open } for  pid=18108 comm="qemu-system-x86" path="/mnt/apps/Linux/dist/ubuntu-16.04.1-server-amd64.iso" dev="cifs" ino=112705463 scontext=unconfined_u:unconfined_r:svirt_t:s0:c16,c399 tcontext=system_u:object_r:cifs_t:s0 tclass=file permissive=0

Hash: qemu-system-x86,svirt_t,cifs_t,file,open

Version-Release number of selected component:

Additional info:
reporter:       libreport-2.8.0
hashmarkername: setroubleshoot
kernel:         4.11.12-200.fc25.x86_64
type:           libreport

Potential duplicate: bug 1284147
Comment 1 Fedora End Of Life 2017-11-16 13:31:01 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-12-12 05:18:29 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.